[Rainmeter]
Simplesentence created by WhiteBaron
Update=500

;Shift foo_winamp_spam.dll (found in Resources folder) into C:\Program Files\foobar2000\Components to use with foobar2000.

;Metadata added by RainBrowser
;http://rainmeter.net/RainCMS/?q=Rainmeter101_AnatomyOfASkin

[Metadata]
Name=
Config=
Description=
Instructions=
Version=
Tags=
License=
Variant=
Preview=

;End of added Metadata

[Variables]
Font=Light From Behind
Colour=51,51,51,255

;----------MEASURES----------

[MeasureTitle]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
Substitute="[Paused]":""," - Winamp":"","[Stopped]":"", "0. ":"", "1. ":"", "2. ":"", "3. ":"", "4. ":"", "5. ":"", "6. ":"", "7. ":"", "8. ":"", "9. ":"", "10. ":"", "11. ":"", "12. ":"", "13. ":"", "14. ":"", "15. ":"", "16. ":"", "17. ":"", "18. ":"", "19. ":"", "20. ":"", "21. ":"", "22. ":"", "23. ":"", "24. ":"", "25. ":""

[MeasureTime]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 0 105

[MeasureMinute]
Measure=Calc
Formula=((MeasureTime / 1000) - ((MeasureTime / 1000) % 60)) /60

[MeasureSecond]
Measure=Calc
Formula=(MeasureTime / 1000) % 60 = 60 ? 0 : (MeasureTime / 1000) % 60

[MeasureZero]
Measure=Calc
Formula=(((MeasureTime) / 1000) % 60)  < 9 ? 0 : 1
Substitute="1":""

[MeasureRoundlineEnd]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 1 105

[MeasureRoundlineStart]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 0 105

[MeasureRoundlineBack]
Measure=Calc
Formula=1

[MeasureRoundline]
Measure=Calc
Formula=(MeasureRoundlineStart<=0)?0:(MeasureRoundlineStart/(MeasureRoundlineEnd*1000+1))

[MeasureShowHide]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 0 104
IfAboveValue=0
IfAboveAction=!execute [!RainmeterShowMeter MeterTitle][!RainmeterShowMeter MeterTime]
IfBelowValue=1
IfBelowAction=!execute [!RainmeterHideMeter MeterTitle][!RainmeterHideMeter MeterTime]

;----------METERS------------

[MeterListening]
Meter=String
Text="Razer Play"
X=85
Y=0
W=300
H=20
FontColor=#Colour#, 255
FontSize=12
FontFace=#Font#
StringAlign=Left
AntiAlias=1

[MeterTitle]
Meter=String
MeasureName=MeasureTitle
X=40
Y=20
W=300
H=20
FontColor=#Colour#, 170
FontSize=13
FontFace=#Font#
StringAlign=Left
Hidden=30
AntiAlias=1

[MeterLabel]
Meter=String
Text="Живи в ритме музыки"
X=103
Y=35
FontColor=#Colour#, 200
FontSize=11
FontFace=#Font#
StringAlign=Left
AntiAlias=1

[MeterPrev]
Meter=String
Text="7"
X=62
Y=39
FontColor=#Colour#, 200
FontSize=8
FontFace=Webdings
StringStyle=Bold
StringAlign=Left
LeftMouseDownAction=!execute [!RainmeterPluginBang "MeasureTitle SendMessage 273 40044 0"]
AntiAlias=1

[MeterPlay]
Meter=String
Text="4"
X=71
Y=39
FontColor=#Colour#, 200
FontSize=8
FontFace=Webdings
StringStyle=Bold
StringAlign=Left
LeftMouseDownAction=!execute [!RainmeterPluginBang "MeasureTitle SendMessage 273 40045 0"]
AntiAlias=1

[MeterPause]
Meter=String
Text=";"
X=80
Y=39
FontColor=#Colour#, 200
FontSize=8
FontFace=Webdings
StringStyle=Bold
StringAlign=Left
LeftMouseDownAction=!execute [!RainmeterPluginBang "MeasureTitle SendMessage 273 40046 0"]
AntiAlias=1

[MeterNext]
Meter=String
Text="8"
X=89
Y=39
FontColor=#Colour#, 200
FontSize=8
FontFace=Webdings
StringStyle=Bold
StringAlign=Left
LeftMouseDownAction=!execute [!RainmeterPluginBang "MeasureTitle SendMessage 273 40048 0"]
AntiAlias=1

[MeterTime]
Meter=String
MeasureName=MeasureMinute
MeasureName2=MeasureSecond
MeasureName3=MeasureZero
Text="%1:%3%2"
X=41
Y=47
FontColor=#Colour#, 255
FontSize=8
FontFace=Trebuchet MS
StringAlign=Center
Hidden=1
AntiAlias=1

[MeterRoundlineBack]
Meter=Roundline
MeasureName=MeasureRoundlineBack
X=-60
Y=-17
W=200
H=100
StartAngle=0.6
RotationAngle=4.9
LineLength=28
LineStart=32
LineColor=#Colour#, 50
Solid=1
AntiAlias=1

[MeterRoundline]
Meter=Roundline
MeasureName=MeasureRoundline
X=-60
Y=-17
W=200
H=100
StartAngle=0.6
RotationAngle=4.9
LineLength=28
LineStart=32
LineColor=#Colour#, 230
Solid=1
AntiAlias=1
